Bug 1467716 - Review Request: reactfx - Reactive event streams for JavaFX
Summary: Review Request: reactfx - Reactive event streams for JavaFX
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-JAVASIG
TreeView+ depends on / blocked
 
Reported: 2017-07-04 19:20 UTC by Jonny Heggheim
Modified: 2019-03-31 18:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jonny Heggheim 2017-07-04 19:20:36 UTC
Spec URL: https://jonny.fedorapeople.org/reactfx.spec
SRPM URL: https://jonny.fedorapeople.org/reactfx-2.0-1.M5.fc25.src.rpm
Fedora Account System Username: jonny
Description:
ReactFX is an exploration of (functional) reactive programming techniques for
JavaFX. These techniques usually result in more concise code, less side effects
and less inversion of control, all of which improve the readability of code.

Initial inspiration came from the Principles of Reactive Programming course and
the RxJava library. There are, however, important differences from RxJava.

Comment 1 Jonny Heggheim 2017-07-04 19:21:47 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20327853

Comment 2 Raphael Groner 2017-07-11 21:03:39 UTC
Are you interested in a review swap? Maybe you can take a look into bug #.

Some general hints:
- Why disable tests completely? I can find one test only that needs the com.pholser dependencies, you should disable this single test instead:
reactfx/src/test/java/org/reactfx/util/SparseListTest.java
- Please provide a changelog:
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Comment 3 Raphael Groner 2017-07-11 21:06:32 UTC
Are you interested in a review swap? Maybe you can take a look into bug #1462466.

Comment 4 Jonny Heggheim 2017-07-12 07:12:31 UTC
(In reply to Raphael Groner from comment #3)
> Are you interested in a review swap? Maybe you can take a look into bug
> #1462466.

Sure, I will review it during the weekend

Comment 5 Jonny Heggheim 2017-07-12 07:13:08 UTC
(In reply to Raphael Groner from comment #2)
> Are you interested in a review swap? Maybe you can take a look into bug #.
> 
> Some general hints:
> - Why disable tests completely? I can find one test only that needs the
> com.pholser dependencies, you should disable this single test instead:
> reactfx/src/test/java/org/reactfx/util/SparseListTest.java
I did think about that, thanks.


> - Please provide a changelog:
> https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
Ups

Comment 6 Jonny Heggheim 2017-07-12 07:16:39 UTC
There is one issue that have been brought up at bug 1145303#133

openjfx is only building for x86 and x86_64 for now, reactfx is noarch, so it will fail on building on non Intel architecture.

Do you have any suggestion?

Comment 7 Jonny Heggheim 2017-07-17 07:55:16 UTC
Waiting for bug 1467724 to hit rawhide repos

Comment 8 Jonny Heggheim 2017-07-22 09:43:48 UTC
I have updated the SPEC and it should be ready for a review.

Spec URL: https://jonny.fedorapeople.org/reactfx.spec
SRPM URL: https://jonny.fedorapeople.org/reactfx-2.0-1.M5.fc26.src.rpm

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20669805

Comment 9 Raphael Groner 2019-01-27 06:52:21 UTC
> openjfx is only building for x86 and x86_64 for now,
> reactfx is noarch, so it will fail on building on non Intel architecture.

This statement doesn't make any sense to me. Why use noarch then? There seems to be arch-dependent code somewhere.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_architecture_support

Comment 10 Jonny Heggheim 2019-01-27 08:35:31 UTC
(In reply to Raphael Groner from comment #9)
> > openjfx is only building for x86 and x86_64 for now,
> > reactfx is noarch, so it will fail on building on non Intel architecture.
> 
> This statement doesn't make any sense to me. Why use noarch then? There
> seems to be arch-dependent code somewhere.
> https://docs.fedoraproject.org/en-US/packaging-guidelines/
> #_architecture_support

Because of upstream.

Comment 11 Robert-André Mauchin 2019-02-16 02:03:21 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Unknown or generated".
     244 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/reactfx/review-reactfx/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in reactfx-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: reactfx-2.0-1.M5.fc30.noarch.rpm
          reactfx-javadoc-2.0-1.M5.fc30.noarch.rpm
          reactfx-2.0-1.M5.fc30.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 12 Jonny Heggheim 2019-02-16 19:03:11 UTC
(In reply to Robert-André Mauchin from comment #11)
> Package approved.

Thanks for the review.

Repo have been requested https://pagure.io/releng/fedora-scm-requests/issue/9741

Comment 13 Gwyn Ciesla 2019-02-16 23:02:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/reactfx

Comment 14 Raphael Groner 2019-02-18 23:43:54 UTC
> [x]: Package is not known to require an ExcludeArch tag.

Approval is wrong. See my comment #9. Sorry, I didn't continue with this review.

Comment 15 Jonny Heggheim 2019-02-20 18:36:25 UTC
(In reply to Raphael Groner from comment #14)
> > [x]: Package is not known to require an ExcludeArch tag.
> 
> Approval is wrong. See my comment #9. Sorry, I didn't continue with this
> review.

Have you looked at https://docs.fedoraproject.org/en-US/packaging-guidelines/#_noarch_with_unported_dependencies

Reacfx is noarch with arch specific content, but the main dependency openjfx is Intel only.

Comment 16 Jonny Heggheim 2019-03-31 13:29:41 UTC
Can you please reply to comment #15 Raphael Groner? I am waiting to import the package.

Comment 17 Raphael Groner 2019-03-31 18:40:10 UTC
It seems I overlooked something here:
> ExclusiveArch: %{ix86} x86_64 noarch
> BuildArch: noarch

Sorry for the delay. There was some misunderstanding and I'm fine with the approval.


Note You need to log in before you can comment on or make changes to this bug.